Bug 137475 - CAN-2004-0888 xpdf integer overflows
CAN-2004-0888 xpdf integer overflows
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tetex (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
impact=moderate,public=20041021
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-28 14:32 EDT by Josh Bressers
Modified: 2013-07-02 19:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 09:39:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-28 14:32:40 EDT
During a source code audit, Chris Evans and others discovered a number
of integer overflow bugs that affected all versions of xpdf.  An
attacker could construct a carefully crafted PDF file that could cause
xpdf to crash or possibly execute arbitrary code when opened.

tetex contains an internal version of xpdf.

See bug 135393 for patches and demo pdf files.

This issue should also affect RHEL2.1
Comment 1 Jindrich Novy 2004-11-16 01:31:58 EST
Files added to the erratum.
Comment 2 Josh Bressers 2005-04-01 09:39:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-354.html

Note You need to log in before you can comment on or make changes to this bug.